bitxor

Functions
bitxor
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Logical operations

Bitwise xor operation of two inputs. More...

## Functions
AFAPI af_err | af_bitxor (af_array *out, const af_array lhs, const af_array rhs, const bool batch)
| C Interface for performing bitwise xor on two arrays. More...
AFAPI array | operator^ (const array &lhs, const array &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. More...
AFAPI array | operator^ (const bool &lhs, const array &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const int &lhs, const array &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const unsigned &lhs, const array &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const char &lhs, const array &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const unsigned char &lhs, const array &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const long &lhs, const array &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const unsigned long &lhs, const array &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const long long &lhs, const array &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const unsigned long long &lhs, const array &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const double &lhs, const array &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const float &lhs, const array &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const cfloat &lhs, const array &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const cdouble &lhs, const array &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const array &lhs, const bool &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const array &lhs, const int &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const array &lhs, const unsigned &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const array &lhs, const char &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const array &lhs, const unsigned char &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const array &lhs, const long &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const array &lhs, const unsigned long &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const array &lhs, const long long &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const array &lhs, const unsigned long long &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const array &lhs, const double &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const array &lhs, const float &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const array &lhs, const cfloat &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const array &lhs, const cdouble &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const short &lhs, const array &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const unsigned short &lhs, const array &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const array &lhs, const short &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator^ (const array &lhs, const unsigned short &rhs)
| Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&) More...

## Detailed Description

Bitwise xor operation of two inputs.

Note
  This function supports integer only.

## Function Documentation

## § af_bitxor()

AFAPI af_err af_bitxor | ( | af_array * | out,
|  | const af_array | lhs,
|  | const af_array | rhs,
|  | const bool | batch
| ) |  |

C Interface for performing bitwise xor on two arrays.

Parameters

  [out] | out | will contain result of `lhs` ^ `rhs`
  [in] | lhs | first input
  [in] | rhs | second input
  [in] | batch | specifies if operations need to be performed in batch mode

Returns
  AF_SUCCESS if the execution completes properly

## § operator^() [1/31]

AFAPI array af::operator^ | ( | const array & | lhs,
|  | const unsigned short & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [2/31]

AFAPI array af::operator^ | ( | const array & | lhs,
|  | const short & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [3/31]

AFAPI array af::operator^ | ( | const unsigned short & | lhs,
|  | const array & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [4/31]

AFAPI array af::operator^ | ( | const short & | lhs,
|  | const array & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [5/31]

AFAPI array af::operator^ | ( | const array & | lhs,
|  | const cdouble & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [6/31]

AFAPI array af::operator^ | ( | const array & | lhs,
|  | const cfloat & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [7/31]

AFAPI array af::operator^ | ( | const array & | lhs,
|  | const float & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [8/31]

AFAPI array af::operator^ | ( | const array & | lhs,
|  | const double & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [9/31]

AFAPI array af::operator^ | ( | const array & | lhs,
|  | const unsigned long long & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [10/31]

AFAPI array af::operator^ | ( | const array & | lhs,
|  | const long long & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [11/31]

AFAPI array af::operator^ | ( | const array & | lhs,
|  | const unsigned long & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [12/31]

AFAPI array af::operator^ | ( | const array & | lhs,
|  | const long & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [13/31]

AFAPI array af::operator^ | ( | const array & | lhs,
|  | const unsigned char & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [14/31]

AFAPI array af::operator^ | ( | const array & | lhs,
|  | const char & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [15/31]

AFAPI array af::operator^ | ( | const array & | lhs,
|  | const unsigned & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [16/31]

AFAPI array af::operator^ | ( | const array & | lhs,
|  | const int & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [17/31]

AFAPI array af::operator^ | ( | const array & | lhs,
|  | const bool & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [18/31]

AFAPI array af::operator^ | ( | const cdouble & | lhs,
|  | const array & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [19/31]

AFAPI array af::operator^ | ( | const cfloat & | lhs,
|  | const array & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [20/31]

AFAPI array af::operator^ | ( | const float & | lhs,
|  | const array & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [21/31]

AFAPI array af::operator^ | ( | const double & | lhs,
|  | const array & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [22/31]

AFAPI array af::operator^ | ( | const unsigned long long & | lhs,
|  | const array & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [23/31]

AFAPI array af::operator^ | ( | const long long & | lhs,
|  | const array & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [24/31]

AFAPI array af::operator^ | ( | const unsigned long & | lhs,
|  | const array & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [25/31]

AFAPI array af::operator^ | ( | const long & | lhs,
|  | const array & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [26/31]

AFAPI array af::operator^ | ( | const unsigned char & | lhs,
|  | const array & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [27/31]

AFAPI array af::operator^ | ( | const char & | lhs,
|  | const array & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [28/31]

AFAPI array af::operator^ | ( | const unsigned & | lhs,
|  | const array & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [29/31]

AFAPI array af::operator^ | ( | const int & | lhs,
|  | const array & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [30/31]

AFAPI array af::operator^ | ( | const bool & | lhs,
|  | const array & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs` (const array&, const array&)

## § operator^() [31/31]

AFAPI array af::operator^ | ( | const array & | lhs,
|  | const array & | rhs
| ) |  |

Performs an bitwise XOR operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a bitwise OR operation performed on each element of `lhs` and `rhs`